import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;

public class zarfrekansiApplet extends Applet implements ActionListener
{
  int toplamzaratisi=0;
  int toplam=0;
  TextField ilkzar,ikincizar;
  Button salla; //zar atma dügmesi 
  int zar1,zar2;
  int zarfrekansi[];
  
  public static int zar()
  {
  return 1+(int)(Math.random()*6);
  }
  
  public void init()
  {
  //programi baslat
  zarfrekansi=new int[6];
  ilkzar=new TextField(10); // Textfield sinifi ilkzar nesnesini yarat
  add(ilkzar);              // ilk zar nesnesini pencereye ekle
  ikincizar=new TextField(10);// Textfield sinifi ikincizar nesnesini yarat
  add(ikincizar);               // ikinci zar nesnesini pencereye ekle  
  salla=new Button("Zari salla ve at");
  add(salla);
  salla.addActionListener(this);
  }
  
  public void actionPerformed(ActionEvent e)
  {
  zar1=zar();
  zar2=zar();
  ilkzar.setText(Integer.toString(zar1));
  ikincizar.setText(Integer.toString(zar2));
  toplam+=(zar1+zar2);
  toplamzaratisi++;
  // not boyutlu degisken indeksi 0 dan basliyor.
  zarfrekansi[zar1-1]++;
  zarfrekansi[zar2-1]++;
  repaint();
  }

  public void paint( Graphics g)
  {
  g.drawString("toplam =  "+toplam+"  Atilan zar sayisi = "+toplamzaratisi,25,50);
     for(int i=0;i<6;i++)
     {
     g.drawString(zarfrekansi[i]+" kere "+(i+1)+" atildi ",25,(65+15*i));
     }
  }
}

